org.apache.flume.conf

## Class LogPrivacyUtil

- java.lang.Object
- - org.apache.flume.conf.LogPrivacyUtil

-     public class LogPrivacyUtil
      extends Object

  Utility class to help any Flume component determine whether logging potentially sensitive information is allowed or not.

  InterfaceAudience.Public
  InterfaceStability.Evolving

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOG_PRINTCONFIG_PROP` system property name to enable logging of information related to the validation of agent configuration at startup.
    `static String` | `LOG_RAWDATA_PROP` system property name to enable logging of potentially sensitive user data

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogPrivacyUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `allowLogPrintConfig()` Tells whether logging of potentially sensitive user data is allowed or not.
    `static boolean` | `allowLogRawData()` Tells whether logging of configuration details - including secrets - is allowed or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG_RAWDATA_PROP

          public static final String LOG_RAWDATA_PROP

      system property name to enable logging of potentially sensitive user data
      See Also:
        Constant Field Values

    - #### LOG_PRINTCONFIG_PROP

          public static final String LOG_PRINTCONFIG_PROP

      system property name to enable logging of information related to the validation of agent configuration at startup.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogPrivacyUtil

          public LogPrivacyUtil()

  - ### Method Detail

    - #### allowLogRawData

          public static boolean allowLogRawData()

      Tells whether logging of configuration details - including secrets - is allowed or not. This is driven by a system property defined by LOG_PRINTCONFIG_PROP
      Returns:
        true only if logging is allowed

    - #### allowLogPrintConfig

          public static boolean allowLogPrintConfig()

      Tells whether logging of potentially sensitive user data is allowed or not. This is driven by a system property defined by LOG_RAWDATA_PROP
      Returns:
        true only if logging is allowed

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.